# Sharing

Most of the viewer state are [saved in the URL parameters](../advanced/url.md). Therefore, bookmarking or sending your browser's current URL is a reasonable way of saving / sharing the currently selected view of interest. However, the full URL's are lengthy, difficult to read, and often broken by automatic text formatting in emails. 

We therefore offer a way to generate a more human readable URL for the given view. A share button has been added in [v2.2.0](../releases/v2.2.0.md) to simplify this process.

[![](../autogen_images/share_highlightShareBtn.png)](../autogen_images/share_highlightShareBtn.png)

## Share URL

`Share link to this view` will attempt to copy the current URL to the clipboard. It can then be sent or saved to restore the current view.

[![](../autogen_images/share_highlightShareURL.png)](../autogen_images/share_highlightShareURL.png)

## Create custom URL

`Create custom URL` will allow users to create a more human readable URL. 

!!! warning
    Any links generated by unauthenticated users will expire automatically after 72 hours.

[![](../autogen_images/share_highlightShareURL.png)](../autogen_images/share_highlightShareURL.png)

[![](../autogen_images/share_shareCustomURLDialog.png)](../autogen_images/share_shareCustomURLDialog.png)
